Override Decision
const url = 'https://api.ultimateteam.ai/api/v1/team-chat/threads/example/override-decision';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"decision_id":"example","new_direction":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/team-chat/threads/example/override-decision \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "decision_id": "example", "new_direction": "example" }'Override an agent decision with a user directive.
Args: thread_id: The thread UUID string. body: Override decision request data. user: The authenticated user context. svc: The intervention service (injected).
Returns: The user override message.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Request body for overriding an agent decision.
Attributes: decision_id: The ID of the decision to override. new_direction: The user’s new direction.
object
Examplegenerated
{ "decision_id": "example", "new_direction": "example"}Responses
Section titled “ Responses ”Successful Response
Response schema for a persisted conversation message.
Attributes: id: Unique message identifier. thread_id: Owning thread identifier. sender_role: Agent role or “user”. sender_id: User ID if sender is human. content: Message content text. message_type: Type of message. artifacts: List of artifact IDs referenced. a2a_task_id: Link to A2A task if applicable. metadata: Extensible metadata. created_at: When the message was created.
object
Examplegenerated
{ "a2a_task_id": "example", "artifacts": [ "example" ], "content": "example", "created_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "message_type": "example", "metadata": {}, "sender_id": "example", "sender_role": "example", "thread_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}